## kylin-status-manager 4.20.0.0

=== debian/changelog ===
kylin-status-manager (4.20.0.0-ok0.1) huanghe; urgency=medium

  * 增加编译依赖：调整版本号，配合版本组工作

 -- sundagao <sundagao@kylinos.cn>  Mon, 19 May 2025 09:22:48 +0800

kylin-status-manager (5.0.0.0-ok1.3) huanghe; urgency=medium

  * 增加编译依赖：qttools5-dev-tools

 -- sdg <sundagao@kylinos.cn>  Thu, 05 Dec 2024 14:29:49 +0800

kylin-status-manager (5.0.0.0-ok1.2) huanghe; urgency=medium

  * 新建tag upstream/5.0.0.0,rebuild

 -- sundagao <sundagao@kylinos.cn>  Thu, 05 Dec 2024 12:40:51 +0800

kylin-status-manager (5.0.0.0-ok1.1) huanghe; urgency=medium

  * 重新创建packaging,rebuild

 -- sundagao <sundagao@kylinos.cn>  Thu, 05 Dec 2024 12:32:36 +0800

kylin-status-manager (5.0.0.0-ok1.0) huanghe; urgency=medium

  * #36415 提供桌面模式管理功能，支持Lite、平板、经典、三岛等模式切换

 -- sundagao <sundagao@kylinos.cn>  Thu, 05 Dec 2024 11:17:36 +0800

kylin-status-manager (5.0.0.0-ok0.1) huanghe; urgency=medium

  * update 5.0.0.0 version

 -- sundagao <sundagao@kylinos.cn>  Thu, 05 Dec 2024 10:56:40 +0800

kylin-status-manager (4.0.0.0-ok2.0) nile; urgency=medium

  *  227377 【状态管理】增加判断，若当前为wlcom环境时关闭平板模式

 -- sunjunhao <sunjunhao@kylinos.cn>  Tue, 18 Jun 2024 14:26:19 +0800

kylin-status-manager (4.0.0.0-ok1.2) nile; urgency=medium

  * BUG号: 
    - https://gitee.com/openkylin/kylin-status-manager/issues/I8X2CZ
    - https://gitee.com/openkylin/kylin-status-manager/issues/I8UYI3
  * 需求号:
  * 其他改动说明:
  * 其他改动影响域:

 -- zouxiaoyi <zouxiaoyi@kylinos.cn>  Mon, 22 Jan 2024 16:21:46 +0800

kylin-status-manager (4.0.0.0-ok1) nile; urgency=medium

  * BUG号: 无
  * 需求号: 26470 禁用平板模式
  * 其他改动说明:
  * 其他改动影响域: 禁用平板模式后，无法切换为平板模式

 -- zouxiaoyi <zouxiaoyi@kylinos.cn>  Tue, 12 Dec 2023 11:35:23 +0800

kylin-status-manager (4.0.0.0-ok0.6) yangtze; urgency=medium

  * BUG号: risc-v 平板模式下打开文字输入框，虚拟键盘无法弹出
    - https://e.gitee.com/openkylin-enterprise/dashboard?issue=I7PWXL
  * 需求号: 无
  * 其他改动说明:
  * 其他改动影响域:

 -- zouxiaoyi <zouxiaoyi@kylinos.cn>  Thu, 21 Sep 2023 17:44:07 +0800

kylin-status-manager (4.0.0.0-ok0.5) yangtze; urgency=medium

  * BUG号 : 无
  * 需求号:无
  * 其他改动说明 : 增加man手册和control描述；优化各模块的参数；更换单例模式的使用方式；
  * 其他改动影响域: 系统中模式切换、自动旋转和键盘插拔信号的发送；

 -- liling <liling@kylinos.cn>  Mon, 31 Jul 2023 11:46:18 +0800

kylin-status-manager (4.0.0.0-ok0.3build1) yangtze; urgency=medium

  * BUG号 : 无
  * 需求号:无
  * 其他改动说明 : 重新编译
  * 其他改动影响域:无；

 -- liling <liling@kylinos.cn>  Tue, 04 Jul 2023 09:38:47 +0800
 

kylin-status-manager (4.0.0.0-ok0.3) yangtze; urgency=medium

  * BUG号 :【状态管理】平板竖屏下切换PC模式，PC显示为竖屏(I7HBOD)
  * 需求号:无
  * 其他改动说明 : 无
  * 其他改动影响域:无；

 -- liling <liling@kylinos.cn>  Fri, 30 Jun 2023 13:57:41 +0800

kylin-status-manager (4.0.0.0-ok0.2) yangtze; urgency=medium

  * BUG号 : 无
  * 需求号:无
  * 其他改动说明 : 状态管理器增加com.kylin.statusmanager.interface.service；
  * 其他改动影响域:当状态管理服务没有启动时，其他组件调用接口时，systemd会拉起状态管理器服务；

 -- liling <liling@kylinos.cn>  Wed, 07 Jun 2023 09:01:30 +0800

kylin-status-manager (4.0.0.0-ok0.1) yangtze; urgency=medium

  * BUG号 : #I6YE9T:【显示器】pc模式下关闭自动旋转按钮，屏幕仍可旋转
  * 需求号:无
  * 其他改动说明 :修改readme; 规范状态管理器的功能模块；重构每个模块的功能和模块之间的交互;
  * 其他改动影响域:给其他组件提供的设备旋转、模式、自动切换、自动旋转和键盘的状态； 

 -- liling <liling@kylinos.cn>  Tue, 16 May 2023 10:15:47 +0800

kylin-status-manager (3.22.0.0-ok1.3) yangtze; urgency=medium

  * BUG号 : 无
  * 需求号:无
  * 其他改动说明 :修改readme 
  * 其他改动影响域:无

 -- liling <liling@kylinos.cn>  Thu, 20 Apr 2023 10:11:38 +0800

kylin-status-manager (3.22.0.0-ok1.2) yangtze; urgency=medium

  * BUG号 : 【平板模式】【侧边栏】不开启自动切换平板模式按钮，平板模式下重启后，桌面显示PC模式，侧边栏显示平板模式
  * 需求号:无
  * 其他改动说明 :修改pro CONFIG 
  * 其他改动影响域:无

 -- kylin <kylin@wangguixi.kylinos.cn>  Fri, 09 Dec 2022 09:56:34 +0800

kylin-status-manager (3.22.0.0-ok1.1) yangtze; urgency=medium

  * BUG号 : issues 【需求15911】【平板切换】平板类设备（如不带键盘的mavis）首次>进入系统会自动进入平板模式，此时不会弹出用户手册
  * 需求号:无
  * 其他改动说明 :无
  * 其他改动影响域:无
 
 -- wangguixi <wangguixi@kylinos.cn>  Tue, 06 Dec 2022 16:56:38 +0800

kylin-status-manager (3.22.0.0-ok1) yangtze; urgency=medium

  * BUG号 : issues 【需求15911】【平板切换】平板类设备（如不带键盘的mavis）首次进入系统会自动进入平板模式，此时不会弹出用户手册
  * 需求号:无
  * 其他改动说明 :无
  * 其他改动影响域:无

 -- wangguixi <wangguixi@kylinos.cn>  Tue, 06 Dec 2022 15:58:51 +0800

kylin-status-manager (3.1.1.1-0k1.1) yangtze; urgency=medium

  *BUG号 : 无
  * 需求号:15911【平板模式】装完系统第一次切换平板模式时调出用户手册-快捷键介绍页
  * 其他改动说明 :15911需求变更，更改为打开快捷键界面
  * 其他改动影响域:
 
 -- wangguixi <wangguixi@kylinos.cn>  Mon, 21 Nov 2022 15:33:29 +0800

kylin-status-manager (3.1.1.1-0k1) yangtze; urgency=medium

  * BUG号 : 无
  * 需求号:15911【平板模式】装完系统第一次切换平板模式时调出用户手册-触控手势介绍页
  * 其他改动说明 :迭代代码同步，优化代码逻辑以及规范日志输出
  * 其他改动影响域:

 -- wangguixi <wangguixi@kylinos.cn>  Mon, 14 Nov 2022 15:11:16 +0800

kylin-status-manager (3.1.1.1-0k0) v101; urgency=medium

  * BUG号 : 无
  * 需求号:无
  * 其他改动说明 :重新装订代码规范
  * 其他改动影响域:

 -- wangguixi <wangguixi@kylinos.cn>  Thu, 13 Oct 2022 15:19:31 +0800

kylin-status-manager (3.1.1.0.0k0.3-0k0.4) v101; urgency=medium

  *  fix:#bug124538【状态管理】拔掉键盘，连接有侧键的蓝牙鼠标，系统变为PC模式的前提下，断开蓝牙鼠标也无法恢复为平板模式（必现）
  *  fix:#bug123409【状态管理】连接鼠标后屏幕不能旋转（HP:3/3 units,36/54 times，Kylin:1 out of 1 units, 蓝牙鼠标3 out of 30 times，有线鼠标0 out of 30 times）
  *  fix:#bug123390【状态管理】机器连上蓝牙鼠标后，拔掉键盘，画面无法切到平板模式（HP:4 out of 4 units, 8 out of 8 times，Kylin:1 out of 1 units, 2 out of 30 times）
  *  fix:#bug119244【状态管理】平板模式插上物理键盘，切换到PC的时间超过了2s（HP要求2s内）
  *  影响# 
  *  其他#
 -- wangguixi <wangguixi@kylinos.cn>  Mon, 18 Jul 2022 18:52:49 +0800

kylin-status-manager (3.1.1.0.0k0.3-0k0.3) v101; urgency=medium

  *  update:重新编译
  *  影响#无
  *  其他#无

 -- wangguixi <wangguixi@kylinos.cn>  Fri, 15 Jul 2022 09:15:57 +0800

kylin-status-manager (3.1.1.0.0k0.3-0k0.2) v101; urgency=medium

  *  fix:bug127695 
  *  fix:bug127600
  *  影响#无
  *  其他#更改监听机器模式的方法，监听由ukui-input-gather获取的libinput Switch events,需要依赖ukui-input-gather包

 -- wangguixi <wangguixi@kylinos.cn>  Wed, 13 Jul 2022 14:59:11 +0800

kylin-status-manager (3.1.1.0-0k0.5) v101; urgency=medium

  * fix:bug126287 【状态管理】竖屏平板模式，插上键盘，变成PC模式后再拔掉键盘，高概率不能变成平板模式（9/20）
  * fix:bug126298 【状态管理】进行多次旋转（5~10次），旋转过程插上键盘，概率性仍为平板模式，可通过拔插键盘恢复（4/30）
  *影响#无
  *其他#无


