=== debian/control ===
Source: kylin-status-manager
Section: admin
Priority: optional
Maintainer: liling <liling@kylinos.cn>
Build-Depends: debhelper-compat (= 12),
               iio-sensor-proxy,
               libqt5sensors5,
               libqt5sensors5-dev,
               libukui-log4qt-dev,
               pkg-config,
               qt5-qmake,
               qtbase5-dev,
               qtbase5-dev-tools,
               qtbase5-private-dev,
               qtchooser,
               libukuiinputgatherclient-dev (>=4.1.0.0-ok0.3),
               libkysdk-sysinfo-dev (>=2.1.1.0),
               qttools5-dev-tools
Standards-Version: 4.4.1
Homepage: <insert the upstream URL, if relevant>

Package: kylin-status-manager
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
                       ukui-input-gather (>=4.1.0.0-ok0.3)
Description: system state transfer station
 The status manager maintains system status such as device direction, 
 device mode, and keyboard availability. When the system status changes, 
 the status manager will capture the change in status, take corresponding
 actions to notify other components that the system status has changed.
